<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Our open-source community :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/about/index.html">
    <link rel="next" href="contributors.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../_'</script>
    <link rel="icon" href="../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:about" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="about" data-version="">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="index.html">Community</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item is-current-page" data-depth="1">
    <a class="nav-link" href="index.html">General info</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="contributors.html">Contributors</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="sponsors.html">Sponsors</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">Community</span>
    <span class="version"></span>
  </div>
  <ul class="components">
    <li class="component">
      <a class="title" href="../asciidoc-toolkit/latest/index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../asciidoc-toolkit/latest/index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../asciidoc-toolkit/1.7/index.html">1.7</a>
        </li>
        <li class="version">
          <a href="../asciidoc-toolkit/1.6/index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../antidoc/latest/index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../antidoc/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component is-current">
      <a class="title" href="index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="index.html">Community</a></li>
    <li><a href="index.html">General info</a></li>
  </ul>
</nav>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/general-docs/edit/main/about/modules/ROOT/pages/index.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<h1 class="page">Our open-source community</h1>
<div class="sect1">
<h2 id="reach-out-to-us"><a class="anchor" href="#reach-out-to-us"></a>Reach out to us</h2>
<div class="sectionbody">
<div class="sect2">
<h3 id="zulip-chat"><a class="anchor" href="#zulip-chat"></a>Zulip Chat</h3>
<div class="paragraph">
<p>Use this <a href="https://wovalab-open-source-projects.zulipchat.com/#">chat room</a> to discuss the different projects.</p>
</div>
<div class="ulist">
<ul>
<li>
<p>You have a new feature request?</p>
</li>
<li>
<p>You&#8217;ve found a bug?</p>
</li>
</ul>
</div>
<div class="paragraph">
<p>That&#8217;s our favorite starting point for discussions.</p>
</div>
</div>
<div class="sect2">
<h3 id="gitlab-project"><a class="anchor" href="#gitlab-project"></a>GitLab project</h3>
<div class="paragraph">
<p>Each project has its repository hosted on <a href="https://gitlab.com/wovalab/open-source">GitLab</a>.
Issues can be created here to add new features or fix issues.</p>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="help-us"><a class="anchor" href="#help-us"></a>Help us</h2>
<div class="sectionbody">
<div class="sect2">
<h3 id="contributing"><a class="anchor" href="#contributing"></a>Contributing</h3>
<div class="paragraph">
<p>Contributions are more than welcome.
You can contribute in many ways:</p>
</div>
<div class="ulist">
<ul>
<li>
<p>Testing and reporting issues</p>
</li>
<li>
<p>Assisting or supporting users of the projects</p>
</li>
<li>
<p>Improving the documentation</p>
</li>
<li>
<p>Fixing issues</p>
</li>
<li>
<p>Implementing features</p>
</li>
</ul>
</div>
<div class="admonitionblock important">
<table>
<tr>
<td class="icon">
<i class="fa icon-important" title="Important"></i>
</td>
<td class="content">
Code contribution <strong>MUST</strong> follow the <a href="https://dqmh.org/content/styleguide">DQMH Consortium Style Guide</a> and you must use <a href="https://forums.ni.com/t5/Quick-Drop-Enthusiasts/Quick-Drop-Keyboard-Shortcut-Nattify-VI/m-p/3990402">Nattify VI</a> Quick Drop action to ensure a standardized way to organize Front Panels and Diagrams for all non-UI VIs.
</td>
</tr>
</table>
</div>
<div class="admonitionblock important">
<table>
<tr>
<td class="icon">
<i class="fa icon-important" title="Important"></i>
</td>
<td class="content">
Before creating issues in GitLab or starting implementing code, we encourage you to start the discussion in the <a href="https://wovalab-open-source-projects.zulipchat.com/#">Zulip chat room</a>. We would be really disappointed not to merge your work because it doesn&#8217;t fit with the plan we have for the projects or because it conflicts with other work in progress.
</td>
</tr>
</table>
</div>
<div class="admonitionblock tip">
<table>
<tr>
<td class="icon">
<i class="fa icon-tip" title="Tip"></i>
</td>
<td class="content">
If you look for an issue to implement, you can search for issues labeled <code>Good first issue</code> in the GitLab Project.
</td>
</tr>
</table>
</div>
</div>
<div class="sect2">
<h3 id="sponsoring"><a class="anchor" href="#sponsoring"></a>Sponsoring</h3>
<div class="paragraph">
<p>You want to help accelerate the development of the Wovalab open-source projects? We accept any help from individuals or companies!</p>
</div>
</div>
<div class="sect2">
<h3 id="patreon"><a class="anchor" href="#patreon"></a>Patreon</h3>
<div class="paragraph">
<p>We have a <a href="https://www.patreon.com/wovalab">Patreon</a> page to enable easy donation.</p>
</div>
<div class="admonitionblock tip">
<table>
<tr>
<td class="icon">
<i class="fa icon-tip" title="Tip"></i>
</td>
<td class="content">
Patreon doesn&#8217;t provide a one-time donation mechanism. You can totally subscribe and cancel the subscription once you&#8217;ve been charged once.
</td>
</tr>
</table>
</div>
</div>
<div class="sect2">
<h3 id="other-payment-methods"><a class="anchor" href="#other-payment-methods"></a>Other payment methods</h3>
<div class="paragraph">
<p>You can&#8217;t pay with a credit card, or do you need specific invoicing? You can <a href="mailto:contact@wovalab.com?subject=Open-source+projects+sponsoring">contact us</a> directly to request a sponsoring quote.</p>
</div>
</div>
</div>
</div>
<nav class="pagination">
  <span class="next"><a href="contributors.html">Contributors</a></span>
</nav>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../_/js/site.js" data-ui-root-path="../_"></script>
<script async src="../_/js/vendor/highlight.js"></script>
<script src="../_/js/vendor/lunr.js"></script>
<script src="../_/js/search-ui.js" id="search-ui-script" data-site-root-path=".." data-snippet-length="100" data-stylesheet="../_/css/search.css"></script>
<script async src="../search-index.js"></script>
  </body>
</html>
